[Compal jfl92] CPU stalls in almost every minute: all processing stops, display jams, sound is breaking up.

Bug #882566 reported by Hans Hellén
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
System76
New
Undecided
Unassigned
linux (Ubuntu)
Triaged
Medium
Unassigned

Bug Description

In syslog I was instructed to announce ALSA-developers: snd_pcm_delay returned exceptionally high value. In the same time my VLC player ate all of the available ram and had to be killed.

A bug has come back to my Compal JFL92 in 10.04 (I cannot say, was it in the time of release already) and occurs also in live-CD sessions of 11.04 and 11.10. If there is not a continuous input (moving mouse/touchpad or pressing keys), the system kind of jams (in 11.10 my screen jams like a freeze-frame: eg. seconds/minutes in the clock and gnome-system-monitor are not moving) and the music I am listening sounds like coming from a broken CD (skipping/jumping a bit back in 10.04) or like a jammed phonograph/vinyl record (in 11.10). Quite amazing, isn't it?

It might have something to do with kernel and chipset/motherboard. I remember, that In 9.04 the OS did not even continue loading if I was not ready to start moving my finger in the touchpad during splash to release the jam.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-34.77-generic 2.6.32.44+drm33.19
Uname: Linux 2.6.32-34-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: salsa 1568 F.... pulseaudio
 /dev/snd/pcmC0D0p: salsa 1568 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8400000 irq 20'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,14c00025,00100003 HDA:10573055,10573055,00100700'
   Controls : 15
   Simple ctrls : 12
CheckboxSubmission: 6ad3463d6f644ebf520e6a9e081c26a4
CheckboxSystem: 53fa345743573c8c72788e37aef10f4b
Date: Thu Oct 27 16:03:30 2011
PackageArchitecture: all
ProcEnviron:
 LANG=fi_FI.utf8
 SHELL=/bin/bash
SourcePackage: alsa-driver
dmi.bios.date: 06/18/2008
dmi.bios.vendor: COMPAL
dmi.bios.version: 1.18
dmi.board.name: JFL92
dmi.board.vendor: -
dmi.board.version: IFT00
dmi.chassis.asset.tag: -
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnCOMPAL:bvr1.18:bd06/18/2008:svn-:pnN/A:pvrN/A:rvn-:rnJFL92:rvrIFT00:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: N/A
dmi.product.version: N/A
dmi.sys.vendor: -
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3322 F.... pulseaudio
 /dev/snd/pcmC0D0p: ubuntu 3322 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8400000 irq 49'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,14c00025,00100003 HDA:10573055,10573055,00100700'
   Controls : 18
   Simple ctrls : 11
CasperVersion: 1.315
DistroRelease: Ubuntu 12.04
LiveMediaBuild: Ubuntu 12.04 LTS "Precise Pangolin" - Release i386 (20120423)
MachineType: - N/A
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash -- debian-installer/language=fi keyboard-configuration/layoutcode?=fi
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic-pae N/A
 linux-backports-modules-3.2.0-23-generic-pae N/A
 linux-firmware 1.79
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-23-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/18/2008
dmi.bios.vendor: COMPAL
dmi.bios.version: 1.18
dmi.board.name: JFL92
dmi.board.vendor: -
dmi.board.version: IFT00
dmi.chassis.asset.tag: -
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnCOMPAL:bvr1.18:bd06/18/2008:svn-:pnN/A:pvrN/A:rvn-:rnJFL92:rvrIFT00:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: N/A
dmi.product.version: N/A
dmi.sys.vendor: -
---
ApportVersion: 2.4-0ubuntu5
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3466 F.... pulseaudio
 /dev/snd/pcmC0D0p: ubuntu 3466 F...m pulseaudio
CasperVersion: 1.320
DistroRelease: Ubuntu 12.10
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120724.2)
MachineType: - N/A
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash -- debian-installer/language=fi keyboard-configuration/layoutcode?=fi
ProcVersionSignature: Ubuntu 3.5.0-6.6-generic 3.5.0
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-6-generic N/A
 linux-backports-modules-3.5.0-6-generic N/A
 linux-firmware 1.85
Tags: quantal running-unity
Uname: Linux 3.5.0-6-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/18/2008
dmi.bios.vendor: COMPAL
dmi.bios.version: 1.18
dmi.board.name: JFL92
dmi.board.vendor: -
dmi.board.version: IFT00
dmi.chassis.asset.tag: -
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnCOMPAL:bvr1.18:bd06/18/2008:svn-:pnN/A:pvrN/A:rvn-:rnJFL92:rvrIFT00:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: N/A
dmi.product.version: N/A
dmi.sys.vendor: -
---
AcpiTables: Error: command ['pkexec', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 127: Error executing /usr/share/apport/dump_acpi_tables.py: Permission denied
ApportVersion: 2.5.1-0ubuntu4
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3944 F.... pulseaudio
CasperVersion: 1.321
DistroRelease: Ubuntu 12.10
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120905.2)
MachineType: - N/A
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash -- debian-installer/language=fi keyboard-configuration/layoutcode?=fi
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-13-generic N/A
 linux-backports-modules-3.5.0-13-generic N/A
 linux-firmware 1.91
Tags: quantal running-unity
Uname: Linux 3.5.0-13-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/18/2008
dmi.bios.vendor: COMPAL
dmi.bios.version: 1.18
dmi.board.name: JFL92
dmi.board.vendor: -
dmi.board.version: IFT00
dmi.chassis.asset.tag: -
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnCOMPAL:bvr1.18:bd06/18/2008:svn-:pnN/A:pvrN/A:rvn-:rnJFL92:rvrIFT00:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: N/A
dmi.product.version: N/A
dmi.sys.vendor: -
---
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: liisa 1816 F.... pulseaudio
 /dev/snd/controlC0: liisa 1816 F.... pulseaudio
DistroRelease: Ubuntu 14.04
InstallationDate: Installed on 2014-07-06 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
Package: alsa-base 1.0.25+dfsg-0ubuntu4
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=fi
 TERM=xterm
 PATH=(custom, no user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
Tags: trusty
Uname: Linux 3.13.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 06/18/2008
dmi.bios.vendor: COMPAL
dmi.bios.version: 1.18
dmi.board.name: IFL90
dmi.board.vendor: -
dmi.board.version: IFT00
dmi.chassis.asset.tag: -
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnCOMPAL:bvr1.18:bd06/18/2008:svn-:pnN/A:pvrN/A:rvn-:rnIFL90:rvrIFT00:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: N/A
dmi.product.version: N/A
dmi.sys.vendor: -

Revision history for this message
Hans Hellén (hans-hellen) wrote :
Revision history for this message
Hans Hellén (hans-hellen) wrote :

Booting with older kernels (eg. 2.6.33-30) does not help.

Revision history for this message
Hans Hellén (hans-hellen) wrote :

The playback audio is working with 10.04.2 live CD. Regression. 10.10 has not been tested. All testing have been done with 32-bit versions.

I think, an interesting thing is that in 10.04.2 live CD there is the same versions of the following packages than in the up to date but broken installation:
alsa-base
alsa-utils
bluez-alsa
gstreamer0.10-alsa
libasound2
libasound2-plugins
linux-sound-base
pulseaudio.

So, where could be the origin of this issue?

Revision history for this message
Wojciech Musial (wmusial) wrote :

I confirm the bug. All of the symptoms occur on my compal jlf92 with ubuntu 10.04 and 10.10 32-bit. Haven't tested 11.04 and 11.10. Older kernels do not help.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Revision history for this message
Wojciech Musial (wmusial) wrote :

I also experience occasional key jams, when the system freezes during a key press, resulting in locking the repeat for 1-2 seconds.
Looking for a solution to the keyjam problem i have found the following [[http://jannepikkarainen.fi/clocksourcejiffies-ja-ubuntu-910-hidastumiset-pois|here]]

Quote:
---
If your Ubuntu 9.10 seems to get slower and slower over time, meaning everything from drawing windows to playing video gets laggy and only reboot helps, your computer might have issues with its HPET clock source and/or some peripherals interfere with it. This workaround might fix it for you: in /etc/default/grub change line

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

to be

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash clocksource=jiffies"

Then enter sudo update-grub and reboot.
---

Quite surprisingly, this has resolved the crackling sound problem (on ubuntu 10.04). More surprisingly still, this has ALSO resolved long bootup times with AHCI turned on in bios.

However, i now experience something along the lines described in bug #571770 -- thread hd-audio0 consumes ~20% CPU at all times, but the sound plays clear.

I'd appreciate if someone could synthesize the information on symptoms, the workaround and the now secondary problem with hd-audio0, and point in the direction of solution of the fundamental cause.

tags: added: precise
Revision history for this message
Hans Hellén (hans-hellen) wrote :

I tried ubuntu-12.04-beta-1-desktop-i386 live-USB. Loading the desktop jams as it used to happen in Jaunty or Karmic, so that you have to press keyboard or touchpad in order to get to desktop. When I tried playing the example tune, quickly it ended up jamming the tune (skipping sound was still heard) and the clock in the panel. Once, after about half a minute of being jammed a major crash occured: the whole graphical desktop environment was lost and you were thrown to command line. I attach logs from /var/crash.

I did not try the workaround provided in the previous comment.

summary: - Compal laptop: sound is breaking up
+ [Compal jfl92] sound is breaking up
Revision history for this message
Hans Hellén (hans-hellen) wrote : Re: [Compal jfl92] sound is breaking up

The workaround from the comment #6 helped both in Lucid and Precise Pangolin 12.04 beta2. The lockups during starting/loading of the OS after BIOS/POST) also disappeared when there is AHCI Enabled in BIOS settings.

Check the attachment for a syslog excerpt written during a jam in a Live-USB session of ubuntu 12.04 beta2 with the default HPET clocksource.

According to this this site
http://ftp.compal.com/asp/driver_dnd/index.htm
Compal has published a BIOS update a year ago, but the link is currently broken. Have somebody tried to flash BIOS?

Revision history for this message
Hans Hellén (hans-hellen) wrote :
Revision history for this message
Hans Hellén (hans-hellen) wrote : AcpiTables.txt

apport information

tags: added: apport-collected
description: updated
Revision history for this message
Hans Hellén (hans-hellen) wrote : AlsaDevices.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : AplayDevices.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ArecordDevices.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : BootDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CRDA.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Card0.Codecs.codec.0.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Card0.Codecs.codec.1.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : IwConfig.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lspci.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lsusb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : PciMultimedia.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcModules.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : PulseList.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : RfKill.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevDb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevLog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : WifiSyslog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Re: [Compal jfl92] sound is breaking up

I played a song from Ubuntu_Free_Culture_Showcase during this apport-collect and the jamming occured several times even during this procedure.

Revision history for this message
Hans Hellén (hans-hellen) wrote : AcpiTables.txt

apport information

tags: added: quantal running-unity
description: updated
Revision history for this message
Hans Hellén (hans-hellen) wrote : AlsaInfo.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : BootDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CRDA.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : IwConfig.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lspci.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lsusb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcModules.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : PulseList.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : RfKill.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevDb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevLog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : WifiSyslog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : AlsaInfo.txt

apport information

description: updated
Revision history for this message
Hans Hellén (hans-hellen) wrote : BootDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CRDA.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : IwConfig.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lspci.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Lsusb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcModules.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : PulseList.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : RfKill.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevDb.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : UdevLog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : WifiSyslog.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Re: [Compal jfl92] sound is breaking up

The bug persists in Release 12.10 (quantal) 32-bit live dvd beta1.
Linux ubuntu 3.5.0-13-generic #14-Ubuntu SMP Wed Aug 29 16:47:23 UTC 2012 i686 i686 i686 GNU/Linux

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, thank you for reporting this and helping make Ubuntu better.

Could you please capture the oops following https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Capturing_OOPs ?

As well, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

Please let us know your results. Thank you for your understanding.

affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Revision history for this message
Hans Hellén (hans-hellen) wrote :

I just tested the release version of Quantal Quetzal 12.10 (3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:32:08 UTC 2012 i686 i686 i686 GNU/Linux) as a live session. The sound was ok, but closing the laptop's lid (without suspend option) and after opening it and going to tty1 caused playing the music to jam as described above. Suspend itself seemed to work, as I later tested it.

So what about tagging this as kernel-fixed-upstream-3.5.0-17?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, thank you for your comments. So just to clarify, regarding your Bug Description:
>"If there is not a continuous input (moving mouse/touchpad or pressing keys), the system kind of jams (in 11.10 my screen jams like a freeze-frame: eg. seconds/minutes in the clock and gnome-system-monitor are not moving) and the music I am listening sounds like coming from a broken CD (skipping/jumping a bit back in 10.04) or like a jammed phonograph/vinyl record (in 11.10)."

The live environment for Quantal does not demonstrate this problem, correct?

Revision history for this message
Hans Hellén (hans-hellen) wrote :

I tested this again today. No problems in Quantal live session using GUI.
Although, when I first time started to suspend by closing the lid, soon this sound problem could be heard for about a second before suspending advanced and the music stopped. It might be relevant, that during this first suspend stuff was read from DVD, which did not happen during following suspend tests.

So, then I woke up the machine and continued the testing.

Interesting was that after pressing Fn + F3 music jammed for five seconds. Fn+F3 should mean "Switch output display device", but actually there is not a second display attached to this laptop. The five seconds jam (both sound and graphical jam) occured every time those keys were pressed. The jam lasted for five seconds even if I pressed some keys or touched touchpad.

If I went to text based user interface (tty1) and pressed Fn+F3 then this jam was like before: it could last more than five seconds and was "randomly" repeated. On this occasion, touching touchpad or pressing something on the keyboard released the jam.

All the above is at least double checked today.

If I first did not suspend, the jams could not be started. Pressing Fn+F3 caused only a minor disturbance to music that was playing.

It might be relevant to point that iwl4965 Microcode SW error are detected as the jam starts. There is some syslog attached.

Just to mention, the Ubuntu graphics shown during loading the OS, is shown without disturbance/corruption when booting to Quantal.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Reassigning to alsa-driver as per mock ubuntu-bug audio bug reporting.

affects: linux (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
importance: Medium → Undecided
status: Incomplete → New
tags: added: kernel-sound
tags: added: trusty utopic
Revision history for this message
Hans Hellén (hans-hellen) wrote :

Still on 14.04 Trusty Tahr and 12.04 Precise Pangolin.

Some logs as attachments.

Revision history for this message
Hans Hellén (hans-hellen) wrote :

From kernel.log

Revision history for this message
Hans Hellén (hans-hellen) wrote : AlsaInfo.txt

apport information

description: updated
Revision history for this message
Hans Hellén (hans-hellen) wrote : BootDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Dependencies.txt

apport information

Revision history for this message
Hans Hellén (hans-hellen) wrote : Re: [Compal jfl92] sound is breaking up

Affects also kernel 3.15... @daily builds of today (Ubuntu 14.10 ”Utopic Unicorn” Alpha amd64 20140706).

summary: - [Compal jfl92] sound is breaking up
+ [Compal jfl92] CPU stalls in almost every minute: all processing stops,
+ display jams, sound is breaking up.
tags: added: regression-release
removed: lucid natty oneiric precise
Revision history for this message
Hans Hellén (hans-hellen) wrote :

Still in tested upstream: v3.15-rc2-trusty
linux-image-3.15.0-031500rc2-generic 3.15.0-031500rc2.201404201435

tags: added: saucy
tags: removed: quantal
Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-bug-exists-upstream-3.15-rc2-trusty precise
removed: i386 regression-release running-unity saucy
tags: added: i386 kernel-bug-exists-upstream-3.15-rc2 regression-release running-unity saucy
removed: kernel-bug-exists-upstream-3.15-rc2-trusty precise
Revision history for this message
Hans Hellén (hans-hellen) wrote :

The bug is also reproduced without graphical desktop:
go TTY1
command:
aplay /usr/share/example-content/Ubuntu_Free_Culture_Showcase/...

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, the latest mainline kernel available is http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc4-utopic/ .

As well, please do not adjust the tags as Precise you are using is using the Saucy+ kernel.

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Revision history for this message
Hans Hellén (hans-hellen) wrote :
Revision history for this message
Hans Hellén (hans-hellen) wrote :

https://wiki.ubuntu.com/Audio/PositionReporting did don't help. Actually, adding tsched=0 in the end of
load-module module-udev-detect
at /etc/pulse/default.pa made music to slowly, unsteadily crawl forward crackling, a bit like playing a vinyl record in too slow rpm (also total jams occured, still).

Revision history for this message
Hans Hellén (hans-hellen) wrote : ProcEnviron.txt

apport information

description: updated
tags: added: kernel-bug-exists-upstream-3.16-rc4-utopic
Revision history for this message
Hans Hellén (hans-hellen) wrote :

What does regression-release mean? I have tested several installations from 12.04.1 to 14.10 (daily 6th July) in the past couple of days and the bug is in every single one of them.

Yes, it also happens in Quantal live session. The reason why I could not earlier reproduce this bug in Quantal, has to have something to do with a connected USB soundcard.

description: updated
tags: added: kernel-bug-exists-upstream-3.16-rc4
removed: kernel-bug-exists-upstream-3.16-rc4-utopic
tags: added: needs-bisect
removed: kernel-bug-exists-upstream-3.15-rc2
tags: removed: needs-bisect regression-release
tags: added: lucid
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, could you please provide the missing information following https://wiki.ubuntu.com/DebuggingSoundProblems ?

Revision history for this message
Hans Hellén (hans-hellen) wrote :

Yes, thanks, I will do it soon.

In the mean time, I just tested Ubuntu 8.04.4 "Hardy Heron" i386 live session and the CPU does not hang and the playback works! Recording through laptop stereo mic does not work (only crackling noise). Just to guess, could the bug be related to some repair efforts related to mics?

I think System76 has sold these Compals or its' sister model a couple of years ago. Could they know something about how to fix this bug?

The Hardy was supported until 12 May 2011 and I first reported this bug against Lucid in the autumn 2011. So could it be said that there has happened a regression between Hardy and Lucid?

Revision history for this message
Hans Hellén (hans-hellen) wrote :

The kernel in Hardu was Linux ubuntu 2.6.24-26-generic #1 SMP Tue Dec 1 18:37:31 UTC 2009 i686 GNU/Linux

Waking from suspend broke something: graphics distortion, sound playback did not work anymore, sound setting could not be opened anymore.

Revision history for this message
Hans Hellén (hans-hellen) wrote :

I just submitted a report using "ubuntu-bug -s audio" in bug #1338960 about this issue.

tags: added: needs-bisect regression-release
tags: added: needs-sound-debug
Revision history for this message
Hans Hellén (hans-hellen) wrote :

Quick comment: As the bug has not been cured during these years, could there be some effort to find some remedy to the symptoms? The bug still makes the laptop useless for many tasks.

tags: added: precise
Revision history for this message
Hans Hellén (hans-hellen) wrote :

Bisect done using 8.04.4 installation and kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/
Only usable kernel found is from Hardy Heron 8.04.4 installation media: Ubuntu 2.6.24-26.64-generic
Although, during boot, some distorted graphics. And immediately after grub selection:
"PCI: BIOS Bug: MCFC area at e0000000 is not E820-reserved
PCI: Not using MMCONFIG
PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.3
cpufreq: No nForce2 chipset
pciehp: Cannot get control of hotplug hardware for pci 0000:00:01.0
pciehp: Cannot get control of hotplug hardware for pci 0000:00:1c.1

please wait"

Later, another error message after grub (2.6.32-02063201-generic):
"pci: 0000:00:1c.3: BAR 14: address space collision on of bridge [0xb000000–0xbbffffff]
Please wait"

already regression kernels:
From 2.6.25-020625-generic ->
When in desktop, no hang / lockup / jam while playing music, BUT: During boot, distorted graphics and jam. Jam at log in promt screen (when tested: jam was released by itself after exactly 5 minutes (300 s), but the system clock was shifted 5 minutes backwards). Sometimes distorted desktop. Jam during shutdown. Jam during log in process.
Tested:
2.6.26-020626-generic
2.6.28-02062810-generic
2.6.29-02062906-generic
2.6.31-02063113-generic
2.6.32-02063201-generic
2.6.32-02063205-generic
Totally unusable kernels:
2.6.24-020624-generic No sound devices found!
2.6.32-02063209-generic critical boot problem: display black (exept some backlight) but the login screen sound was played. No desktop session possible.
2.6.32-21.32-386 2.6.32.11+drm33.2
2.6.32-02063233-generic
2.6.32-02063255-generic
2.6.32-02063263+drm3326-generic Does not shutdown.
2.6.33-02063320-generic From messages (using 2.6.33...): "*CPUFREQ: Per core ondemand sysfs interface is depricated – up_treshold*"
3.13.0-996-generic (drm)
...
kernel-bug-exists-upstream-3.16-rc6

Somehow related? https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/190754/comments/165

tags: added: kernel-bug-exists-upstream-3.16-rc6
removed: kernel-bug-exists-upstream-3.16-rc4 needs-bisect
tags: added: bisect-done
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc6-utopic/

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, could you please advise on which commit specifically caused the regression?

tags: added: needs-bisect
removed: bisect-done
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Revision history for this message
Hans Hellén (hans-hellen) wrote :

About bisect:
None of the kernels work from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D, that is v2.6.24 and above
(With "2.6.24-020624-generic (root@zinc) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Wed Feb 25 23:56:54 UTC 2009" no sound devices were found and v2.6.15 could not be installed).

Hardy Heron installation media has kernel
2.6.24-26-generic #1 SMP Tue Dec 1 18:37:31 UTC 2009 i686 GNU/Linux
Ubuntu 2.6.24-26.64-generic.

Regression in kernels from 2.6.25-020625-generic onwards., at least.

Revision history for this message
Hans Hellén (hans-hellen) wrote :

This Compal is sold as Serval Performance (SerP4).

According to http://knowledge76.com/index.php/SerP4, a minor (?) difference
System76's SerP4:
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
This Compal:
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)

affects: linux (Ubuntu) → system76
affects: system76 → linux (Ubuntu)
tags: added: unable-to-bisect
removed: needs-bisect
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hans Hellén, if Hardy's kernel works, but the mainline kernel closest in version number to it doesn't (not the same but similar), it would seem that the sound drivers, and other hardware enablement patches for your hardware were backported to the Hardy kernel, allowing it to work, but mainline wouldn't naturally. Hence, let us put a hold on bisecting the Ubuntu (not mainline) kernel, as that tends to end up in non-linear tag purgatory as per https://wiki.ubuntu.com/Kernel/KernelBisection#Commit_bisecting_Ubuntu_kernel_versions_across_non-linear_tags .

Hence, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments